package com.ejie.ab79.model.expedientes;

/**
 * 
 *  
 *
 */

public class SubtipoTercero implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idSubtipoTercero;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private String usuarioRegistro;

	/**
	 * Method 'SubtipoTercero'.
	 */
	public SubtipoTercero() {
	}

	/**
	 * Method 'SubtipoTercero'.
	 * 
	 * @param idSubtipoTercero
	 *            Integer
	 */
	public SubtipoTercero(Integer idSubtipoTercero) {
		this.idSubtipoTercero = idSubtipoTercero;
	}

	/**
	 * @return the idSubtipoTercero
	 */
	public Integer getIdSubtipoTercero() {
		return this.idSubtipoTercero;
	}

	/**
	 * @param idSubtipoTercero
	 *            the idSubtipoTercero to set
	 */
	public void setIdSubtipoTercero(Integer idSubtipoTercero) {
		this.idSubtipoTercero = idSubtipoTercero;
	}

	/**
	 * @return the descripcionCastellano
	 */
	public String getDescripcionCastellano() {
		return this.descripcionCastellano;
	}

	/**
	 * @param descripcionCastellano
	 *            the descripcionCastellano to set
	 */
	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	/**
	 * @return the descripcionEuskera
	 */
	public String getDescripcionEuskera() {
		return this.descripcionEuskera;
	}

	/**
	 * @param descripcionEuskera
	 *            the descripcionEuskera to set
	 */
	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	/**
	 * @return the usuarioRegistro
	 */
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * @param usuarioRegistro
	 *            the usuarioRegistro to set
	 */
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 *
	 * Here, the contents of every main field are placed into the result.
	 *
	 * @return this.this.String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append("[idSubtipoTercero: ").append(this.idSubtipoTercero).append(" ]");
		result.append(", [descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(", [descripcionEuskera: ").append(this.descripcionEuskera).append("]");
		result.append(", [usuarioRegistro=").append(this.usuarioRegistro).append("]");
		result.append("}");
		return result.toString();
	}

}
